org.apache.mina.http.api

## Interface HttpPduEncodingVisitor

    public interface HttpPduEncodingVisitor

Visitor in charge of encoding an HTTP message into bytes.

Author:
  Apache MINA Project

### Method Summary

Methods
`ByteBuffer` `visit(HttpContentChunk msg)`
`ByteBuffer` `visit(HttpEndOfContent msg)`
`ByteBuffer` `visit(HttpRequest msg)`
`ByteBuffer` `visit(HttpResponse msg)`

### Method Detail

#### visit

    ByteBuffer visit(HttpRequest msg)

#### visit

    ByteBuffer visit(HttpResponse msg)

#### visit

    ByteBuffer visit(HttpContentChunk msg)

#### visit

    ByteBuffer visit(HttpEndOfContent msg)